#include <bits/stdc++.h>
using namespace std;

ostream& operator <<( ostream& out, const vector<int>& obj ) {
   out << "[ ";
   for( auto i: obj ) cout << i << " "; 
   return out << "]";
}

ostream& operator <<( ostream& out, const vector< vector<int> >& obj ) {
   for( auto &x: obj ) 
      out << x << endl;
   return out; 
}
 
int main( int argc, char *argv[] ) {
   bool debug = argc > 1;
   vector< vector<int> > parts;
   int n = 0;
   while( true ) {
      string e;
      getline( cin, e );
      if( !cin || 0 == e.length() ) break;
      istringstream ist( e );
      int d;
      vector<int> line;
      while( ist >> d ) 
         line.push_back( d );
      if( find( line.begin(), line.end(), n + 1 ) == line.end() )
         line.push_back( n + 1 );
      parts.push_back( line );
      n++;
   } 
   vector<int> rezs( 0 );
   cout << parts;
   while( true ) {
      if( debug ) 
         cout << "-------------------------------" << endl << parts;
      vector<int> memb( parts.size() + 1, 0 );
      for( auto &x: parts ) 
         for( auto i: x )
            memb[ i ]++;          // частоты строк  
      auto mx = max_element( memb.begin(), memb.end() );
      if( 0 == *mx ) break;
      n = mx - memb.begin();      // самый частый номер
      rezs.push_back( n );
      if( debug ) cout << memb << " => " << *mx << " | " << n << endl; 
      for( auto x = parts.begin(); x < parts.end(); x++ )
         if( find( x->begin(), x->end(), n ) != x->end() )
            x->clear();          // очистить строки содержащие этот номер
   }
   cout << "результат: " << rezs << endl;
}
